kernel-oops Bad page state in process sh

Bug #1710716 reported by Benjamin Werthmann on 2017-08-14
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

Seeing this on an AWS c4.8xlarge. Running linux-image-3.13.0-108.155-generic

[201186.215054] BUG: Bad page state in process sh pfn:7dc276
[201186.215055] page:ffffea001f709d80 count:1 mapcount:0 mapping:ffff880764b72ee9 index:0x2
[201186.215056] page flags: 0x6089b0000080078(uptodate|dirty|lru|active|swapbacked)
[201186.215067] Modules linked in: nfsv4 xt_conntrack cls_fw xt_nat iptable_nat nf_nat_ipv4 nf_nat xt_mark iptable_mangle veth aufs xt_tcpudp xt_LOG xt_limit iptable_filter ip_tables x_tables sch_sfq sch_htb openvswitch gre vxlan ip_tunnel libcrc32c dm_crypt nfsd auth_rpcgss nfs_acl nfs lockd sunrpc fscache i2c_piix4 serio_raw mac_hid nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack isofs crct10dif_pclmul crc32_pclmul ghash_clmulni_intel cirrus aesni_intel syscopyarea sysfillrect aes_x86_64 sysimgblt lrw gf128mul ttm glue_helper drm_kms_helper ablk_helper cryptd drm psmouse ixgbevf floppy pata_acpi
[201186.215068] CPU: 25 PID: 14770 Comm: sh Tainted: G B 3.13.0-108.155-generic #apcera1
[201186.215069] Hardware name: Xen HVM domU, BIOS 4.2.amazon 02/16/2017
[201186.215071] 0000000000000000 ffff8807c8bffaf0 ffffffff8172d229 ffffea001f709d80
[201186.215073] ffff880ef0f365b8 ffff8807c8bffb08 ffffffff81727a27 0000000000000032
[201186.215075] ffff8807c8bffbe8 ffffffff8115ccea ffff880f0ffc3e08 0000000200000000
[201186.215075] Call Trace:
[201186.215077] [<ffffffff8172d229>] dump_stack+0x64/0x82
[201186.215078] [<ffffffff81727a27>] bad_page.part.61+0xcf/0xe8
[201186.215080] [<ffffffff8115ccea>] get_page_from_freelist+0x84a/0x920
[201186.215081] [<ffffffff8115cf63>] __alloc_pages_nodemask+0x1a3/0xb90
[201186.215084] [<ffffffffa02df62d>] ? si_read_lock+0x6d/0x110 [aufs]
[201186.215088] [<ffffffffa02f70e0>] ? aufs_permission+0x190/0x310 [aufs]
[201186.215089] [<ffffffff81733d02>] ? down_write+0x12/0x30
[201186.215092] [<ffffffffa02eebdf>] ? di_write_lock+0x1f/0x40 [aufs]
[201186.215093] [<ffffffff8137027e>] ? radix_tree_lookup_slot+0xe/0x10
[201186.215095] [<ffffffff81153883>] ? unlock_page+0x23/0x30
[201186.215096] [<ffffffff8119e25a>] alloc_pages_vma+0x9a/0x140
[201186.215098] [<ffffffff8117ea41>] handle_mm_fault+0xbb1/0xf10
[201186.215100] [<ffffffff81183037>] ? vma_link+0xb7/0xc0
[201186.215101] [<ffffffff817393c4>] __do_page_fault+0x184/0x560
[201186.215103] [<ffffffff81185a3e>] ? do_mmap_pgoff+0x34e/0x3d0
[201186.215105] [<ffffffff81170319>] ? vm_mmap_pgoff+0x99/0xc0
[201186.215106] [<ffffffff817397ba>] do_page_fault+0x1a/0x70
[201186.215108] [<ffffffff81735ae8>] page_fault+0x28/0x30

$ cat /proc/version_signature
Ubuntu 3.13.0-108.155.apcera1-generic 3.13.11-ckt39

$ lspci -vnvn
00:00.0 Host bridge [0600]: Intel Corporation 440FX - 82441FX PMC [Natoma] [8086:1237] (rev 02)
        Subsystem: Red Hat, Inc Qemu virtual machine [1af4:1100]
        Physical Slot: 0
        Control: I/O- Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
        Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0

00:01.0 ISA bridge [0601]: Intel Corporation 82371SB PIIX3 ISA [Natoma/Triton II] [8086:7000]
        Subsystem: Red Hat, Inc Qemu virtual machine [1af4:1100]
        Physical Slot: 1
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
        Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0

00:01.1 IDE interface [0101]: Intel Corporation 82371SB PIIX3 IDE [Natoma/Triton II] [8086:7010] (prog-if 80 [Master])
        Subsystem: XenSource, Inc. Device [5853:0001]
        Physical Slot: 1
        Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
        Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 64
        Region 0: [virtual] Memory at 000001f0 (32-bit, non-prefetchable) [size=8]
        Region 1: [virtual] Memory at 000003f0 (type 3, non-prefetchable)
        Region 2: [virtual] Memory at 00000170 (32-bit, non-prefetchable) [size=8]
        Region 3: [virtual] Memory at 00000370 (type 3, non-prefetchable)
        Region 4: I/O ports at c100 [size=16]
        Kernel driver in use: ata_piix

00:01.3 Bridge [0680]: Intel Corporation 82371AB/EB/MB PIIX4 ACPI [8086:7113] (rev 01)
        Subsystem: Red Hat, Inc Qemu virtual machine [1af4:1100]
        Physical Slot: 1
        Control: I/O- Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
        Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0
        Interrupt: pin A routed to IRQ 9

00:02.0 VGA compatible controller [0300]: Cirrus Logic GD 5446 [1013:00b8] (prog-if 00 [VGA controller])
        Subsystem: XenSource, Inc. Device [5853:0001]
        Physical Slot: 2
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
        Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0
        Region 0: Memory at f0000000 (32-bit, prefetchable) [size=32M]
        Region 1: Memory at f3008000 (32-bit, non-prefetchable) [size=4K]
        Expansion ROM at <unassigned> [disabled]
        Kernel driver in use: cirrus

00:03.0 Ethernet controller [0200]: Intel Corporation 82599 Ethernet Controller Virtual Function [8086:10ed] (rev 01)
        Physical Slot: 3
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 64
        Region 0: Memory at f3000000 (64-bit, prefetchable) [size=16K]
        Region 3: Memory at f3004000 (64-bit, prefetchable) [size=16K]
        Capabilities: [70] MSI-X: Enable+ Count=3 Masked-
                Vector table: BAR=3 offset=00000000
                PBA: BAR=3 offset=00002000
        Kernel driver in use: ixgbevf

00:1f.0 Unassigned class [ff80]: XenSource, Inc. Xen Platform Device [5853:0001] (rev 01)
        Subsystem: XenSource, Inc. Xen Platform Device [5853:0001]
        Physical Slot: 31
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
        Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0
        Interrupt: pin A routed to IRQ 47
        Region 0: I/O ports at c000 [size=256]
        Region 1: Memory at f2000000 (32-bit, prefetchable) [size=16M]
        Kernel driver in use: xen-platform-pci

This bug is missing log files that will aid in diagnosing the problem. While running an Ubuntu kernel (not a mainline or third-party kernel) please enter the following command in a terminal window:

apport-collect 1710716

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
Joseph Salisbury (jsalisbury) wrote :

Did this issue start happening after an update/upgrade? Was there a prior kernel version where you were not having this particular problem?

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v4.13 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.13-rc4

Changed in linux (Ubuntu):
importance: Undecided → Medium
tags: added: kernel-da-key trusty
Download full text (8.4 KiB)

I have not seen this issue since upgrading to 3.13.0-129-generic.

On Wed, Aug 16, 2017 at 10:18 AM, Joseph Salisbury <
<email address hidden>> wrote:

> Did this issue start happening after an update/upgrade? Was there a
> prior kernel version where you were not having this particular problem?
>
> Would it be possible for you to test the latest upstream kernel? Refer
> to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest
> v4.13 kernel[0].
>
> If this bug is fixed in the mainline kernel, please add the following
> tag 'kernel-fixed-upstream'.
>
> If the mainline kernel does not fix this bug, please add the tag:
> 'kernel-bug-exists-upstream'.
>
> Once testing of the upstream kernel is complete, please mark this bug as
> "Confirmed".
>
>
> Thanks in advance.
>
> [0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.13-rc4
>
>
> ** Changed in: linux (Ubuntu)
> Importance: Undecided => Medium
>
> ** Tags added: kernel-da-key trusty
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1710716
>
> Title:
> kernel-oops Bad page state in process sh
>
> Status in linux package in Ubuntu:
> Incomplete
>
> Bug description:
> Seeing this on an AWS c4.8xlarge. Running linux-
> image-3.13.0-108.155-generic
>
> [201186.215054] BUG: Bad page state in process sh pfn:7dc276
> [201186.215055] page:ffffea001f709d80 count:1 mapcount:0
> mapping:ffff880764b72ee9 index:0x2
> [201186.215056] page flags: 0x6089b0000080078(uptodate|
> dirty|lru|active|swapbacked)
> [201186.215067] Modules linked in: nfsv4 xt_conntrack cls_fw xt_nat
> iptable_nat nf_nat_ipv4 nf_nat xt_mark iptable_mangle veth aufs xt_tcpudp
> xt_LOG xt_limit iptable_filter ip_tables x_tables sch_sfq sch_htb
> openvswitch gre vxlan ip_tunnel libcrc32c dm_crypt nfsd auth_rpcgss nfs_acl
> nfs lockd sunrpc fscache i2c_piix4 serio_raw mac_hid nf_conntrack_ipv4
> nf_defrag_ipv4 nf_conntrack isofs crct10dif_pclmul crc32_pclmul
> ghash_clmulni_intel cirrus aesni_intel syscopyarea sysfillrect aes_x86_64
> sysimgblt lrw gf128mul ttm glue_helper drm_kms_helper ablk_helper cryptd
> drm psmouse ixgbevf floppy pata_acpi
> [201186.215068] CPU: 25 PID: 14770 Comm: sh Tainted: G B
> 3.13.0-108.155-generic #apcera1
> [201186.215069] Hardware name: Xen HVM domU, BIOS 4.2.amazon 02/16/2017
> [201186.215071] 0000000000000000 ffff8807c8bffaf0 ffffffff8172d229
> ffffea001f709d80
> [201186.215073] ffff880ef0f365b8 ffff8807c8bffb08 ffffffff81727a27
> 0000000000000032
> [201186.215075] ffff8807c8bffbe8 ffffffff8115ccea ffff880f0ffc3e08
> 0000000200000000
> [201186.215075] Call Trace:
> [201186.215077] [<ffffffff8172d229>] dump_stack+0x64/0x82
> [201186.215078] [<ffffffff81727a27>] bad_page.part.61+0xcf/0xe8
> [201186.215080] [<ffffffff8115ccea>] get_page_from_freelist+0x84a/0x920
> [201186.215081] [<ffffffff8115cf63>] __alloc_pages_nodemask+0x1a3/0xb90
> [201186.215084] [<ffffffffa02df62d>] ? si_read_lock+0x6d/0x110 [aufs]
> [201186.215088] [<ffffffffa02f70e0>] ? aufs_permission+0x190/0x310
> [aufs]
> [201186.215089] [<ffffffff81733d02>] ? down_write+0x12/0x30
> [20...

Read more...

Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments